import { IVpc } from 'aws-cdk-lib/aws-ec2';
import * as efs from 'aws-cdk-lib/aws-efs';
import { Construct } from 'constructs';
interface TmEfsFileSystemProps {
    vpc: IVpc;
    provisionedThroughputPerSecond?: number;
    enableAutomaticBackups?: boolean;
    uid?: string;
    gid?: string;
    permissions?: string;
    allowAnonymousAccess?: boolean;
}
export declare class TmEfsFileSystem extends Construct {
    readonly efsFileSystem: efs.FileSystem;
    readonly efsAccessPoint: efs.AccessPoint;
    constructor(scope: Construct, id: string, props: TmEfsFileSystemProps);
}
export {};
