import * as rds from 'aws-cdk-lib/aws-rds';
import { Construct } from 'constructs';
export interface TmRdsAuroraMysqlServerlessProps extends rds.DatabaseClusterProps {
    /**
     * Enable the creation of a Global Cluster for the RDS cluster.
     */
    readonly enableGlobal?: boolean;
}
export declare class TmRdsAuroraMysqlServerless extends rds.DatabaseCluster {
    /**
       * The Aurora Mysql Serverless created by the construct rdsAuroraMysqlServerless.
    */
    /**
     * Represents a class that creates an RDS Aurora MySQL Serverless database cluster.
     */
    constructor(scope: Construct, id: string, props?: TmRdsAuroraMysqlServerlessProps);
}
